## plasma-setup 0.0.0+p24.04+vstable+git20260114.1206

=== modules/prepare/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Devin Lin <devin@kde.org>
# SPDX-FileCopyrightText: 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(plasmasetup_prepare
    URI "org.kde.plasmasetup.prepare.private"
    GENERATE_PLUGIN_SOURCE
)

ecm_finalize_qml_module(plasmasetup_prepare)

=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vstable+git20260114.1206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 12:06:44 +0000

plasma-setup (0.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 09:35:20 +1000

## plasma-setup 0.0.0+p24.04+vunstable+git20251208.0644

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: (C) 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.20)

project(plasma-setup VERSION "0.1.0")

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.5.0")

include(FeatureSummary)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

################# set KDE specific information #################
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMDeprecationSettings)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMSetupVersion)
include(ECMGenerateExportHeader)
include(ECMPoQmTools)
include(ECMQmlModule)
include(ECMQtDeclareLoggingCategory)

################# Find dependencies #################
find_package(Qt6 ${QT_MIN_VERSION} NO_MODULE COMPONENTS Core Gui Qml QuickControls2 Svg Widgets DBus)
set_package_properties(Qt6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)
find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Auth CoreAddons I18n Package Config)
set_package_properties(KF6 PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required application components"
)

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif ()

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX PLASMASETUP
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/plasma-setup-version.h
)

find_package(KF6Screen CONFIG REQUIRED)
find_package(LibKWorkspace REQUIRED)
find_package(PkgConfig REQUIRED)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

################# build and install #################

set(LOGIN_DEFS_PATH "/etc/login.defs" CACHE PATH "Path to the login.defs file")

configure_file(config-plasma-setup.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma-setup.h)

ecm_set_disabled_deprecation_versions(
    QT 6.8.3
    KF 6.13.0
)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)

add_subdirectory(files)
add_subdirectory(src)
add_subdirectory(modules)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h modules/*.cpp modules/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

ecm_qt_install_logging_categories(
    EXPORT PLASMASETUP
    FILE plasmasetup.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== files/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

configure_file(plasma-setup.service.in plasma-setup.service)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-setup.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}/system
)

install(
    FILES "plasma-setup-polkit.rules"
    DESTINATION ${KDE_INSTALL_DATADIR}/polkit-1/rules.d
)

install(
    FILES "plasma-setup-sysuser.conf"
    DESTINATION  "lib/sysusers.d"
)

configure_file(plasma-setup-tmpfiles.conf.in plasma-setup-tmpfiles.conf)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-setup-tmpfiles.conf
    DESTINATION "lib/tmpfiles.d"
)

configure_file(plasma-setup.desktop.in plasma-setup.desktop)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-setup.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/plasma-setup
)

install(
    FILES plasmasetuprc
    DESTINATION ${KDE_INSTALL_FULL_CONFDIR}
)

=== modules/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2025 Kristen McWilliam <kristen@kde.org>
# SPDX-License-Identifier: LGPL-2.0-or-later

add_subdirectory(account)
kpackage_install_package(account org.kde.plasmasetup.account packages plasma)

# add_subdirectory(cellular)
# kpackage_install_package(cellular org.kde.plasmasetup.cellular packages plasma)

add_subdirectory(finished)
kpackage_install_package(finished org.kde.plasmasetup.finished packages plasma)

add_subdirectory(keyboard)
kpackage_install_package(keyboard org.kde.plasmasetup.keyboard packages plasma)

add_subdirectory(language)
kpackage_install_package(language org.kde.plasmasetup.language packages plasma)

add_subdirectory(prepare)
kpackage_install_package(prepare org.kde.plasmasetup.prepare packages plasma)

add_subdirectory(time)
kpackage_install_package(time org.kde.plasmasetup.time packages plasma)

add_subdirectory(wifi)
kpackage_install_package(wifi org.kde.plasmasetup.wifi packages plasma)


# ---------------------------- Helper Utilities ---------------------------- #

# Helper utilities should be kept separate from the KPackage modules, otherwise
# kpackage_install_package() will include all of the uncompiled source files.
add_subdirectory(languageutil)
add_subdirectory(prepareutil)
add_subdirectory(timeutil)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-FileCopyrightText: 2025 Kristen McWilliam <kristen@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(auth)
add_subdirectory(bootutil)
add_subdirectory(components)
add_subdirectory(packagestructure)

ecm_qt_declare_logging_category(logging_SRCS
    HEADER "plasmasetup_debug.h"
    IDENTIFIER "PlasmaSetup"
    CATEGORY_NAME "org.kde.plasmasetup"
    DESCRIPTION "Plasma Setup"
    EXPORT PLASMASETUP
)

add_executable(plasma-setup
    main.cpp
    pagesmodel.cpp
    pagesmodel.h
    accountcontroller.cpp
    accountcontroller.h
    displayutil.cpp
    displayutil.h
    initialstartutil.cpp
    initialstartutil.h
    keyboardutil.cpp
    keyboardutil.h
    ${plasmasetup_DBUS_SRCS}
    ${logging_SRCS}
)

ecm_add_qml_module(plasma-setup GENERATE_PLUGIN_SOURCE
    URI "org.kde.plasmasetup"
    DEPENDENCIES
        QtGui
        QtQuick
)

qt_target_qml_sources(plasma-setup
    QML_FILES
        qml/Main.qml
        qml/Wizard.qml
        qml/LandingComponent.qml
)

target_link_libraries(plasma-setup
    PUBLIC
        Qt::Widgets
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::Quick
        Qt::QuickControls2
        Qt::DBus
        Qt::Svg
        KF6::AuthCore
        KF6::ConfigCore
        KF6::I18n
        KF6::I18nQml
        KF6::Package
        KF6::ConfigGui
        PW::KWorkspace
        componentsplugin
        componentspluginplugin
)

target_include_directories(plasma-setup PRIVATE 
    ${CMAKE_BINARY_DIR} # Allow include of config-plasma-setup.h
)

install(TARGETS plasma-setup RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

=== src/bootutil/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2025 Kristen McWilliam <kristen@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

ecm_qt_declare_logging_category(logging_SRCS
    HEADER "plasmasetup_bootutil_debug.h"
    IDENTIFIER "PlasmaSetupBootUtil"
    CATEGORY_NAME "org.kde.plasmasetup.bootutil"
    DESCRIPTION "Plasma Setup Boot Utility"
    DEFAULT_SEVERITY Debug
    EXPORT PLASMASETUP_BOOTUTIL
)

add_executable(plasma-setup-bootutil
    bootutil.cpp
    bootutil.h
    main.cpp
    ${logging_SRCS}
)

target_link_libraries(plasma-setup-bootutil
    PRIVATE
        KF6::ConfigCore
        Qt::Core
)

install(TARGETS plasma-setup-bootutil RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})

## plasma-setup 0.0.0+p24.04+vunstable+git20251209.0509

=== src/components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_library(componentsplugin STATIC)

ecm_add_qml_module(componentsplugin
    URI "org.kde.plasmasetup.components"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        QtQuick
)

target_sources(componentsplugin PRIVATE
    setupmodule.cpp
    setupmodule.h
)

target_link_libraries(componentsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
)

ecm_finalize_qml_module(componentsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vunstable+git20251209.0509-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:09:58 +0000

=== debian/control ===
Source: plasma-setup
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kpackage-dev,
               libkf6screen-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-workspace-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-setup
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-setup.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-setup
Maintainer: Neon CI <neon@kde.org>

Package: plasma-setup
Architecture: any
Depends: plasma-nm, ${misc:Depends}, ${shlibs:Depends}
Breaks: kiss
Replaces: kiss
Conflicts: kiss
Description: Plasma new device setup application
 The Out-of-the-box (OOTB) experience that greets a user after system
 installation or when starting up a new computer. Guides the user in creating
 the system's first user account and configuring initial settings.
 .
 Features include:
  * User account creation
  * Language selection
  * Keyboard layout selection
  * Time zone selection
  * Network configuration

## plasma-setup 0.0.0+p24.04+vunstable+git20260129.0312

=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vunstable+git20260129.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:12:20 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
                libkf6screen-dev,
                pkg-kde-tools-neon,
                pkgconf,
+               plasma-desktop-dev,
+               plasma-keyboard-dev,
                plasma-workspace-dev,
                qt6-base-dev,
                qt6-declarative-dev,

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## plasma-setup 0.0.0+p24.04+vunstable+git20260201.0626

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,11 @@
 
 cmake_minimum_required(VERSION 3.20)
 
-project(plasma-setup VERSION "0.1.0")
+set(PROJECT_VERSION "6.6.80")
+project(plasma-setup VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "6.6.0")
-set(KF_MIN_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 include(FeatureSummary)
 
@@ -16,7 +17,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ################# set KDE specific information #################
-find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -42,7 +43,7 @@
     TYPE REQUIRED
     PURPOSE "Required application components"
 )
-find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Auth CoreAddons I18n Package Config)
+find_package(KF6 ${KF6_MIN_VERSION} COMPONENTS Auth CoreAddons I18n Package Config)
 set_package_properties(KF6 PROPERTIES
     TYPE REQUIRED
     PURPOSE "Required application components"

=== modules/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 add_subdirectory(finished)
 kpackage_install_package(finished org.kde.plasmasetup.finished packages plasma)
+
+add_subdirectory(hostname)
+kpackage_install_package(hostname org.kde.plasmasetup.hostname packages plasma)
 
 add_subdirectory(keyboard)
 kpackage_install_package(keyboard org.kde.plasmasetup.keyboard packages plasma)
@@ -31,6 +34,7 @@
 
 # Helper utilities should be kept separate from the KPackage modules, otherwise
 # kpackage_install_package() will include all of the uncompiled source files.
+add_subdirectory(hostnameutil)
 add_subdirectory(languageutil)
 add_subdirectory(prepareutil)
 add_subdirectory(timeutil)

=== debian/changelog ===
plasma-setup (0.0.0+p24.04+vunstable+git20260201.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:26:40 +0000
